Uses of Interface
io.helidon.common.http.DataChunk
-
Packages that use DataChunk Package Description io.helidon.common.http HTTP APIs and implementations usable by both server and client side of the HTTP story.io.helidon.media.common Common classes for processing content with a specificMediaType.io.helidon.media.multipart Helidon Media MultiPart.io.helidon.webclient A reactive client for rest calls.io.helidon.webserver Reactive web server API.io.helidon.webserver.tyrus Tyrus integration. -
-
Uses of DataChunk in io.helidon.common.http
Methods in io.helidon.common.http that return DataChunk Modifier and Type Method Description static DataChunkDataChunk. create(boolean flush, boolean readOnly, Runnable releaseCallback, ByteBuffer... byteBuffers)Creates a reusable byteBuffers chunk.static DataChunkDataChunk. create(boolean flush, boolean readOnly, ByteBuffer... byteBuffers)Creates a reusable data chunk.static DataChunkDataChunk. create(boolean flush, Runnable releaseCallback, ByteBuffer... byteBuffers)Creates a reusable byteBuffers chunk.static DataChunkDataChunk. create(boolean flush, ByteBuffer... byteBuffers)Creates a reusable data chunk.static DataChunkDataChunk. create(byte[] bytes)Creates a simple byte array backed data chunk.static DataChunkDataChunk. create(ByteBuffer byteBuffer)Creates a simpleByteBufferbacked data chunk.static DataChunkDataChunk. create(ByteBuffer... byteBuffers)Creates a data chunk backed by one or more ByteBuffer.default DataChunkDataChunk. duplicate()Makes a copy of this data chunk including its underlyingByteBuffer.Methods in io.helidon.common.http that return types with arguments of type DataChunk Modifier and Type Method Description default Optional<CompletableFuture<DataChunk>>DataChunk. writeFuture()Returns a write future associated with this chunk.Method parameters in io.helidon.common.http with type arguments of type DataChunk Modifier and Type Method Description default CompletionStage<? extends R>Reader. apply(Flow.Publisher<DataChunk> publisher)Deprecated.Transforms a publisher into a completion stage.CompletionStage<? extends R>Reader. apply(Flow.Publisher<DataChunk> publisher, Class<? super R> clazz)Deprecated.Transforms a publisher into a completion stage.default <T extends R>
CompletionStage<? extends T>Reader. applyAndCast(Flow.Publisher<DataChunk> publisher, Class<T> type)Deprecated.Transforms a publisher into a completion stage.voidContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.since 2.0.0, useio.helidon.media.common.MessageBodyReaderContext.registerFiltervoidContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.since 2.0.0, useio.helidon.media.common.MessageBodyReaderContext.registerFiltervoidContent. subscribe(Flow.Subscriber<? super DataChunk> subscriber)Deprecated.If possible, adds the given Subscriber to this publisher.default voidDataChunk. writeFuture(CompletableFuture<DataChunk> writeFuture)Set a write future that will complete when data chunk has been written to a connection. -
Uses of DataChunk in io.helidon.media.common
Methods in io.helidon.media.common that return types with arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>MessageBodyContext. applyFilters(Flow.Publisher<DataChunk> publisher)Apply the filters on the given input publisher to form a publisher chain.protected Flow.Publisher<DataChunk>MessageBodyContext. applyFilters(Flow.Publisher<DataChunk> publisher, GenericType<?> type)Apply the filters on the given input publisher to form a publisher chain.static Function<byte[],Flow.Publisher<DataChunk>>ContentWriters. byteArrayWriter(boolean copy)Returns a writer function forbyte[].static Function<ReadableByteChannel,Flow.Publisher<DataChunk>>ContentWriters. byteChannelWriter()Returns a writer function forReadableByteChannel.static Function<ReadableByteChannel,Flow.Publisher<DataChunk>>ContentWriters. byteChannelWriter(RetrySchema retrySchema)Returns a writer function forReadableByteChannel.static Function<CharBuffer,Flow.Publisher<DataChunk>>ContentWriters. charBufferWriter(Charset charset)Returns a writer function forCharBufferusing provided standardcharset.static Function<CharSequence,Flow.Publisher<DataChunk>>ContentWriters. charSequenceWriter(Charset charset)Returns a writer function forCharSequenceusing provided standardcharset.<T> Flow.Publisher<DataChunk>MessageBodyWriterContext. marshall(Single<T> content, GenericType<T> type)Convert a given input publisher into HTTP payload by selecting a writer that accepts the specified type and current context.<T> Flow.Publisher<DataChunk>MessageBodyWriterContext. marshall(Single<T> content, MessageBodyWriter<T> writer, GenericType<T> type)Convert a given input publisher into HTTP payload by selecting a writer with the specified class.<T> Flow.Publisher<DataChunk>MessageBodyWriterContext. marshallStream(Flow.Publisher<T> content, GenericType<T> type)Convert a given input publisher into HTTP payload by selecting a stream writer that accepts the specified type and current context.<T> Flow.Publisher<DataChunk>MessageBodyWriterContext. marshallStream(Flow.Publisher<T> content, MessageBodyStreamWriter<T> writer, GenericType<T> type)Convert a given input publisher into HTTP payload by selecting a stream writer with the specified class.Flow.Publisher<DataChunk>MessageBodyStreamWriter. write(Flow.Publisher<? extends T> publisher, GenericType<? extends T> type, MessageBodyWriterContext context)Generate HTTP payload from the given stream of objects.Flow.Publisher<DataChunk>MessageBodyWriter. write(Single<? extends T> single, GenericType<? extends T> type, MessageBodyWriterContext context)Generate HTTP payload from the objects of the given type.static Single<DataChunk>ContentWriters. writeBytes(byte[] bytes, boolean copy)static Single<DataChunk>ContentWriters. writeCharBuffer(CharBuffer buffer, Charset charset)static Single<DataChunk>ContentWriters. writeCharSequence(CharSequence cs, Charset charset)static Single<DataChunk>ContentWriters. writeStackTrace(Throwable throwable, Charset charset)Method parameters in io.helidon.media.common with type arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>MessageBodyContext. applyFilters(Flow.Publisher<DataChunk> publisher)Apply the filters on the given input publisher to form a publisher chain.protected Flow.Publisher<DataChunk>MessageBodyContext. applyFilters(Flow.Publisher<DataChunk> publisher, GenericType<?> type)Apply the filters on the given input publisher to form a publisher chain.static MessageBodyReadableContentMessageBodyReadableContent. create(Flow.Publisher<DataChunk> publisher, MessageBodyReaderContext context)Create a new readable content backed by the given publisher and context.<U extends T>
Single<U>MessageBodyReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context)Convert a HTTP payload into a Single publisher of the given type.<U extends T>
Flow.Publisher<U>MessageBodyStreamReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context)Convert the given HTTP payload into objects of the given type.static Single<byte[]>ContentReaders. readBytes(Flow.Publisher<DataChunk> chunks)Collect theDataChunkof the given publisher into a single byte array.static Single<String>ContentReaders. readString(Flow.Publisher<DataChunk> chunks, Charset charset)static Single<String>ContentReaders. readURLEncodedString(Flow.Publisher<DataChunk> chunks, Charset charset)voidMessageBodyReadableContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.voidMessageBodyReadableContent. registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)Deprecated.<T> MessageBodyWriterContextMessageBodyWriterContext. registerWriter(Class<T> type, MediaType contentType, Function<? extends T,Flow.Publisher<DataChunk>> function)Deprecated.since 2.0.0, useMessageBodyWriterContext.registerWriter(MessageBodyWriter)instead<T> MessageBodyWriterContextMessageBodyWriterContext. registerWriter(Class<T> type, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.since 2.0.0, useMessageBodyWriterContext.registerWriter(MessageBodyWriter)instead<T> MessageBodyWriterContextMessageBodyWriterContext. registerWriter(Predicate<?> accept, MediaType contentType, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.since 2.0.0, useMessageBodyWriterContext.registerWriter(MessageBodyWriter)instead<T> MessageBodyWriterContextMessageBodyWriterContext. registerWriter(Predicate<?> accept, Function<T,Flow.Publisher<DataChunk>> function)Deprecated.since 2.0.0 useMessageBodyWriterContext.registerWriter(MessageBodyWriter)insteadvoidMessageBodyReadableContent. subscribe(Flow.Subscriber<? super DataChunk> subscriber)voidReadableByteChannelPublisher. subscribe(Flow.Subscriber<? super DataChunk> subscriberParam)Deprecated, for removal: This API element is subject to removal in a future version.<T> Single<T>MessageBodyReaderContext. unmarshall(Flow.Publisher<DataChunk> payload, GenericType<T> type)Convert a given HTTP payload into a publisher by selecting a reader that accepts the specified type and current context.<T> Single<T>MessageBodyReaderContext. unmarshall(Flow.Publisher<DataChunk> payload, MessageBodyReader<T> reader, GenericType<T> type)Convert a given HTTP payload into a publisher by selecting a reader with the specified class.<T> Flow.Publisher<T>MessageBodyReaderContext. unmarshallStream(Flow.Publisher<DataChunk> payload, GenericType<T> type)Convert a given HTTP payload into a publisher by selecting a stream reader that accepts the specified type and current context.<T> Flow.Publisher<T>MessageBodyReaderContext. unmarshallStream(Flow.Publisher<DataChunk> payload, MessageBodyStreamReader<T> reader, GenericType<T> type)Convert a given HTTP payload into a publisher by selecting a stream reader with the payload class.Constructor parameters in io.helidon.media.common with type arguments of type DataChunk Constructor Description DataChunkInputStream(Flow.Publisher<DataChunk> originalPublisher)Stores publisher for later subscription.DataChunkInputStream(Flow.Publisher<DataChunk> originalPublisher, boolean validate)Stores publisher for later subscription and sets if executing thread should be validated. -
Uses of DataChunk in io.helidon.media.multipart
Methods in io.helidon.media.multipart that return types with arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>BodyPartBodyStreamWriter. write(Flow.Publisher<? extends WriteableBodyPart> content, GenericType<? extends WriteableBodyPart> type, MessageBodyWriterContext context)Flow.Publisher<DataChunk>MultiPartBodyWriter. write(Single<? extends WriteableMultiPart> content, GenericType<? extends WriteableMultiPart> type, MessageBodyWriterContext context)Methods in io.helidon.media.multipart with parameters of type DataChunk Modifier and Type Method Description voidMultiPartDecoder. onNext(DataChunk chunk)Method parameters in io.helidon.media.multipart with type arguments of type DataChunk Modifier and Type Method Description WriteableBodyPart.BuilderWriteableBodyPart.Builder. publisher(Flow.Publisher<DataChunk> publisher)Create a new body part backed by the specified publisher.<U extends ReadableBodyPart>
Flow.Publisher<U>BodyPartBodyStreamReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context)<U extends MultiPart>
Single<U>MultiPartBodyReader. read(Flow.Publisher<DataChunk> publisher, GenericType<U> type, MessageBodyReaderContext context)voidMultiPartEncoder. subscribe(Flow.Subscriber<? super DataChunk> subscriber) -
Uses of DataChunk in io.helidon.webclient
Methods in io.helidon.webclient with parameters of type DataChunk Modifier and Type Method Description voidFileSubscriber. onNext(DataChunk item)Deprecated.Method parameters in io.helidon.webclient with type arguments of type DataChunk Modifier and Type Method Description Single<WebClientResponse>WebClientRequestBuilder. submit(Flow.Publisher<DataChunk> requestEntity)Performs prepared request and submitting request entity usingFlow.Publisher.<T> Single<T>WebClientRequestBuilder. submit(Flow.Publisher<DataChunk> requestEntity, Class<T> responseType)Performs prepared request and submitting request entity usingFlow.Publisher.CompletionStage<Path>FileSubscriber. subscribeTo(Flow.Publisher<DataChunk> publisher)Deprecated.Subscribes this instance to the obtained publisher. -
Uses of DataChunk in io.helidon.webserver
Methods in io.helidon.webserver that return types with arguments of type DataChunk Modifier and Type Method Description Flow.Publisher<DataChunk>BareRequest. bodyPublisher()Gets the Flow Publisher that allows a subscription for request body chunks.Methods in io.helidon.webserver with parameters of type DataChunk Modifier and Type Method Description voidBareResponse. onNext(DataChunk data)ProvidedByteBufferMUST be fully read during the method call. -
Uses of DataChunk in io.helidon.webserver.tyrus
Methods in io.helidon.webserver.tyrus with parameters of type DataChunk Modifier and Type Method Description voidTyrusReaderSubscriber. onNext(DataChunk item)Method parameters in io.helidon.webserver.tyrus with type arguments of type DataChunk Modifier and Type Method Description voidTyrusWriterPublisher. subscribe(Flow.Subscriber<? super DataChunk> newSubscriber)
-